Skip to content

Payer Add

API Information

  • Path: /api/v1/acct/addPayer
  • Method: POST
  • Content-Type: application/json

Business Description

  • Add payer (supports corporate/individual information under merchant dimension)
  • Can add corporate and individual payer information, distinguished by subEntityType

Request Parameters

Headers

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body

Main Parameters

ParameterTypeDescriptionRequired
merchantNointegerMerchant NumberM
companyNameEnstringCompany English Name (Required for Corporate)C
companyNamestringCompany Name (Required for Corporate)C
countrystringCountryM
addressEn1stringAddressM
addressEn2stringRegistration Address 2
addressEn3stringRegistration Address 3
registerNostringRegistration NumberM
registerDatestringRegistration DateM
postcodestringPostal CodeM
emailstringEmailM
areaCodestringArea CodeM
phoneNumberstringPhone NumberM
statestringState/ProvinceM
citystringCityM
subEntityTypestringType: "0" Company "1" IndividualC
firstNamestringFirst Name (Required for Individual)C
lastNamestringLast Name (Required for Individual)C
idTypestringID Type: 0: NRIC, 1: PASSPORT, 2: CORPORATE_REGISTRATION_NUMBERM
idNumberstringID NumberM
birthDatestringDate of BirthM
idValidDateFromstringID Valid From DateC
idValidDateTostringID Valid To DateM
signstringSignatureM

Request Example

json
{
  "merchantNo": "800149",
  "country": "HK",
  "addressEn1": "Nanshan Science & Technology Park, Shenzhen",
  "addressEn2": "2all",
  "addressEn3": "3",
  "postcode": "518057",
  "status": 0,
  "email": "1@qq.com",
  "areaCode": "+86",
  "phoneNumber": "15072871023",
  "state": "hubei",
  "city": "wuhan",
  "subEntityType": "0",
  "companyNameEn": "test companyname814",
  "companyName": "测试企业名称814",
  "idType": "2",
  "registerNo": "37132819841",
  "registerDate": "2024-10-04",
  "idValidDateFrom": "2006-08-04",
  "idValidDateTo": "2046-08-04",
  "sign" : "AD121231231231231231"
}

Response

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Parameters

Response Fields

ParameterTypeDescription
respCodestringResponse Code
respMsgstringResponse Message
dataobjectResponse Data
  └─IntegerPayer ID

Response Example

json
{
  "respCode": "",
  "respMsg": "",
  "data": 1912390988777680897
}